MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031646Open CASCADE[OCCT] OCCT:Visualizationpublic2020-07-02 10:372021-02-25 21:53
Reporterkgv 
Assigned Toiko 
PrioritynormalSeverityfeature 
StatusnewResolutionopen 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0031646: Visualization - shadow mapping within real-time renderer
DescriptionIt is desired extending real-time renderer with shadow mapping capabilities.
TagsNo tags attached.
Test case number
Attached Files

- Relationships
parent of 0032039verifiedbugmaster Visualization, TKOpenGl - implement simple shadow mapping for a direct light source 
parent of 0032172newmzernova Visualization, TKOpenGl - implement simple shadow mapping for a spot light source 
parent of 0032173newosa Visualization, TKOpenGl - implement simple shadow mapping for a point light source 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0098017)
git (administrator)
2021-01-09 23:24

Branch CR31646_3 has been created by kgv.

SHA-1: ab34662b0346ac946e345f39781150ae31dee410


Detailed log of new commits:

Author: kgv
Date: Mon Jan 4 12:17:44 2021 +0300

    0032039: Visualization, TKOpenGl - implement simple shadow mapping for a direct light source
    
    Graphic3d_CLight::ToCastShadows() - added new property defining if light should cast shadows (ignored by Ray-Tracing).
    
    OpenGl_ShaderManager::stdComputeLighting() now implements shadow mapping for directional lights.
    OpenGl_ShaderManager::prepareGeomMainSrc() now handles copying of arrays.
    OpenGl_Context::ShadowMapTexUnit() - added property defining an offset for shadow map texture units.
    OpenGl_ShadowMap - added new class storing shadow map FBO with parameters.
    OpenGl_View::prepareFrameBuffers() - added resizing of shadow map FBOs.
    OpenGl_View::Redraw() - added section redrawing scene into shadow map FBOs via OpenGl_View::renderShadowMap() method.
    
    vrenderparams - added new parameters -shadowMapResolution and -shadowMapBias.

Author: kgv
Date: Thu Jan 7 23:10:27 2021 +0300

    0032041: Modeling Data - Access violation ExchangeUV in Geom_BezierSurface
    
    Added missing NULL-checks to Geom_BezierSurface::ExchangeUV() and Geom_BSplineSurface::ExchangeUV().

Author: kgv
Date: Fri Jan 8 00:48:29 2021 +0300

    0032042: Visualization, TKOpenGl - pre-multiply headlight flag into light source position
    
    OpenGl_ShaderManager::pushLightSourceState() now pre-multiplies headlight transformation.
    Built-in shading GLSL programs have been updated to remove special handling if headlight flag;
    also removed redundant pre-normalization of light source direction
    (already normalized implicitly by Graphic3d_CLight interface).
    
    Graphic3d_CLight::SetHeadlight() now raises exception in case of ambient light type.
    OpenGl_ShaderManager::SetLastView() - removed unused property.

Author: kgv
Date: Mon Jan 4 12:13:38 2021 +0300

    0032040: Visualization, OpenGl_View - merge OpenGl_View_Redraw.cxx into OpenGl_View.cxx

Author: kgv
Date: Mon Jan 4 03:26:51 2021 +0300

    0032038: Visualization, OpenGl_View - move out framebuffer initialization from ::Redraw() to ::prepareFrameBuffers()

Author: kgv
Date: Mon Jan 4 11:53:24 2021 +0300

    0032037: Visualization - move V3d_View::FitMinMax() to Graphic3d_Camera::FitMinMax()

- Issue History
Date Modified Username Field Change
2020-07-02 10:37 kgv New Issue
2020-07-02 10:37 kgv Assigned To => iko
2020-09-21 17:42 kgv Target Version 7.5.0 => 7.6.0*
2021-01-04 02:22 kgv Summary Visualization - shadow mapping within real-time renderer => Visualization - simple shadow mapping within real-time renderer
2021-01-04 11:59 kgv Summary Visualization - simple shadow mapping within real-time renderer => Visualization - shadow mapping within real-time renderer
2021-01-04 12:01 kgv Relationship added parent of 0032039
2021-01-09 23:24 git Note Added: 0098017
2021-02-25 21:52 kgv Relationship added parent of 0032172
2021-02-25 21:53 kgv Relationship added parent of 0032173


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker